DependenciesConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.config
[Groovy] Class DependenciesConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.config.DependenciesConfiguration

    @groovy.transform.CompileStatic
    class DependenciesConfiguration

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.util.List` | `ALL_SCOPES`
`static java.lang.String` | `SCOPE_BUILD`
`static java.lang.String` | `SCOPE_COMPILE`
`static java.lang.String` | `SCOPE_OPTIONAL`
`static java.lang.String` | `SCOPE_PROVIDED`
`static java.lang.String` | `SCOPE_RUNTIME`
`static java.lang.String` | `SCOPE_TEST`

Property Summary
`static java.util.regex.Pattern` | `DEPENDENCY_PATTERN`
`AetherDependencyManager` | `dependencyManager`
`org.eclipse.aether.util.graph.selector.ExclusionDependencySelector` | `exclusionDependencySelector`

Constructor Summary
`DependenciesConfiguration(AetherDependencyManager dependencyManager)`

Method Summary
`void` | `addBuildDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer = null)`
`protected void` | `addBuildDependency(java.util.Map properties, java.lang.String scope, groovy.lang.Closure customizer = null)`
`void` | `addBuildDependency(Dependency dependency)`
`void` | `addDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer = null)`
`protected void` | `addDependency(java.util.Map properties, java.lang.String scope, groovy.lang.Closure customizer = null)`
`void` | `addDependency(Dependency dependency, java.lang.String scope)`
`void` | `agent(java.lang.String pattern)` Configure the JAR to use for the reloading agent
`void` | `build(java.lang.String pattern, groovy.lang.Closure customizer = null)`
`void` | `build(java.util.Map properties, groovy.lang.Closure customizer = null)`
`void` | `compile(java.lang.String pattern, groovy.lang.Closure customizer = null)`
`void` | `compile(java.util.Map properties, groovy.lang.Closure customizer = null)`
`org.eclipse.aether.graph.Dependency` | `createDependencyForProperties(java.util.Map properties, java.lang.String scope)`
`protected DependencyConfiguration` | `customizeDependency(groovy.lang.Closure customizer, org.eclipse.aether.graph.Dependency dependency)`
`java.lang.Object` | `environments(groovy.lang.Closure callable)` Environment support
`protected java.util.Map` | `extractDependencyProperties(java.lang.String pattern)`
`protected java.lang.String` | `getDefaultExtension()`
`protected java.lang.String` | `getDefaultGroup()`
`void` | `invokeForString(java.lang.String scope, java.util.List objects, groovy.lang.Closure configurer = null)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
`void` | `optional(java.lang.String pattern, groovy.lang.Closure customizer = null)`
`void` | `optional(java.util.Map properties, groovy.lang.Closure customizer = null)`
`void` | `provided(java.lang.String pattern, groovy.lang.Closure customizer = null)`
`void` | `provided(java.util.Map properties, groovy.lang.Closure customizer = null)`
`void` | `runtime(java.lang.String pattern, groovy.lang.Closure customizer = null)`
`void` | `runtime(java.util.Map properties, groovy.lang.Closure customizer = null)`
`void` | `test(java.lang.String pattern, groovy.lang.Closure customizer = null)`
`void` | `test(java.util.Map properties, groovy.lang.Closure customizer = null)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ALL_SCOPES

    public static final java.util.List ALL_SCOPES

### SCOPE_BUILD

    public static final java.lang.String SCOPE_BUILD

### SCOPE_COMPILE

    public static final java.lang.String SCOPE_COMPILE

### SCOPE_OPTIONAL

    public static final java.lang.String SCOPE_OPTIONAL

### SCOPE_PROVIDED

    public static final java.lang.String SCOPE_PROVIDED

### SCOPE_RUNTIME

    public static final java.lang.String SCOPE_RUNTIME

### SCOPE_TEST

    public static final java.lang.String SCOPE_TEST

Property Detail

### DEPENDENCY_PATTERN

    static final java.util.regex.Pattern DEPENDENCY_PATTERN

### dependencyManager

    AetherDependencyManager dependencyManager

### exclusionDependencySelector

    org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector

Constructor Detail

### DependenciesConfiguration

    DependenciesConfiguration(AetherDependencyManager dependencyManager)

Method Detail

### addBuildDependency

    void addBuildDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer = null)

### addBuildDependency

    protected void addBuildDependency(java.util.Map properties, java.lang.String scope, groovy.lang.Closure customizer = null)

### addBuildDependency

    void addBuildDependency(Dependency dependency)

### addDependency

    void addDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer = null)

### addDependency

    protected void addDependency(java.util.Map properties, java.lang.String scope, groovy.lang.Closure customizer = null)

### addDependency

    void addDependency(Dependency dependency, java.lang.String scope)

### agent

    void agent(java.lang.String pattern)

  Configure the JAR to use for the reloading agent
  Parameters:
    `pattern` - The version pattern

### build

    void build(java.lang.String pattern, groovy.lang.Closure customizer = null)

### build

    void build(java.util.Map properties, groovy.lang.Closure customizer = null)

### compile

    void compile(java.lang.String pattern, groovy.lang.Closure customizer = null)

### compile

    void compile(java.util.Map properties, groovy.lang.Closure customizer = null)

### createDependencyForProperties

    org.eclipse.aether.graph.Dependency createDependencyForProperties(java.util.Map properties, java.lang.String scope)

### customizeDependency

    protected DependencyConfiguration customizeDependency(groovy.lang.Closure customizer, org.eclipse.aether.graph.Dependency dependency)

### environments

    java.lang.Object environments(groovy.lang.Closure callable)

  Environment support
  Parameters:
    `callable` - The callable
  Returns:
    The result of the environments block

### extractDependencyProperties

    protected java.util.Map extractDependencyProperties(java.lang.String pattern)

### getDefaultExtension

    protected java.lang.String getDefaultExtension()

### getDefaultGroup

    protected java.lang.String getDefaultGroup()

### invokeForString

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    void invokeForString(java.lang.String scope, java.util.List objects, groovy.lang.Closure configurer = null)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

### optional

    void optional(java.lang.String pattern, groovy.lang.Closure customizer = null)

### optional

    void optional(java.util.Map properties, groovy.lang.Closure customizer = null)

### provided

    void provided(java.lang.String pattern, groovy.lang.Closure customizer = null)

### provided

    void provided(java.util.Map properties, groovy.lang.Closure customizer = null)

### runtime

    void runtime(java.lang.String pattern, groovy.lang.Closure customizer = null)

### runtime

    void runtime(java.util.Map properties, groovy.lang.Closure customizer = null)

### test

    void test(java.lang.String pattern, groovy.lang.Closure customizer = null)

### test

    void test(java.util.Map properties, groovy.lang.Closure customizer = null)

Groovy Documentation